Bug 877372 (CVE-2012-5527)

Summary: CVE-2012-5527 claws-mail-plugins (vCalendar): User credentials information disclosure via status tray display
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: andreas.bierfert, bugs.michael
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20121114,reported=20121115,source=oss-security,cvss2=3.6/AV:L/AC:L/Au:N/C:P/I:P/A:N,fedora-all/claws-mail-plugins=affected,epel-6/claws-mail-plugins=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-01 10:42:55 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 877375, 877376    
Bug Blocks:    

Description Jan Lieskovsky 2012-11-16 06:28:45 EST
A security flaw was found in the way vCalendar plug-in of Claws Mail displayed user credential information in the system tray display when using https scheme. A local attacker could use this flaw to obtain user credentials (username and password) used for connection to remote point.

References:
[1] http://www.openwall.com/lists/oss-security/2012/11/15/5
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=693391

Upstream bug report:
[3] http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2782

Relevant upstream patch:
[4] http://lists.claws-mail.org/pipermail/commits/2012-November/001598.html
Comment 1 Jan Lieskovsky 2012-11-16 06:30:22 EST
This issue affects the versions of the claws-mail-plugins package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the claws-mail-plugins package, as shipped with Fedora EPEL 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-11-16 06:32:25 EST
Created claws-mail-plugins tracking bugs for this issue

Affects: fedora-all [bug 877375]
Affects: epel-6 [bug 877376]
Comment 3 Vincent Danen 2012-11-28 12:42:53 EST
CVE-2012-5527 was assigned to this issue:

http://www.openwall.com/lists/oss-security/2012/11/28/8